%global momorel 1
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Summary: Library for connecting to mobile devices
Name: libimobiledevice
Version: 1.0.4
Release: %{momorel}m%{?dist}
License: GPLv2 and LGPLv2+
Group: System Environment/Libraries
URL: http://www.libimobiledevice.org/
Source0: http://www.libimobiledevice.org/downloads/%{name}-%{version}.tar.bz2
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: glib2-devel
BuildRequires: gnutls-devel
BuildRequires: libplist-devel
BuildRequires: libtasn1-devel
BuildRequires: libusb1-devel
BuildRequires: libxml2-devel
BuildRequires: pkgconfig
BuildRequires: python-devel
BuildRequires: swig
BuildRequires: usbmuxd-devel

%description
libimobiledevice is a library for connecting to mobile devices including phones 
and music players.

%package devel
Summary: Header files and static libraries from libimobiledevice
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Libraries and includes files for developing programs based on libimobiledevice.

%package python
Summary: Python bindings for libimobiledevice
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description python
Python bindings for libimobiledevice.

%prep
%setup -q

%build
%configure --disable-static

# Remove rpath as per https://fedoraproject.org/wiki/Packaging/Guidelines#Beware_of_Rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

# get rid of *.la file
find %{buildroot} -name '*.la' -exec rm -f {} \;

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* NEWS README
%{_bindir}/idevice_id
%{_bindir}/idevicebackup
%{_bindir}/ideviceimagemounter
%{_bindir}/ideviceinfo
%{_bindir}/idevicepair
%{_bindir}/idevicescreenshot
%{_bindir}/idevicesyslog
%{_libdir}/%{name}.so.*
%{_mandir}/man1/idevice*.1*

%files devel
%defattr(-,root,root)
%doc docs/html
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}-1.0.pc
%{_libdir}/%{name}.so

%files python
%defattr(-,root,root)
%{python_sitearch}/imobiledevice

%changelog
* Thu Jan 20 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.4-1m)
- update to 1.0.4

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.0.3-2m)
- rebuild for new GCC 4.5

* Fri Oct 29 2010 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.0.3-1m)
- update to 1.0.3

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.2-3m)
- full rebuild for mo7 release

* Thu Jul 22 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.2-2m)
- touch up spec file

* Sat Jul 17 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.2-1m)
- update to 1.0.2
- change to new URL

* Mon Feb 22 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.7-1m)
- initial package for libgpod-0.7.90
- import fixdso.patch from Fedora
